@echo off

rem 依存ライブラリの個別インストール
cd /d %~dp0\dependencies
call mvn install:install-file -Dfile=mockrunner-0.3.7.jar -DgroupId=com.mockrunner -DartifactId=mockrunner -Dversion=0.3.7 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=mockrunner-0.4.2.jar -DgroupId=com.mockrunner -DartifactId=mockrunner -Dversion=0.4.2 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-unit-2.0.0.0.jar -DgroupId=jp.terasoluna.fw.lib -DartifactId=terasoluna-unit -Dversion=2.0.0.0 -Dpackaging=jar -Dsource=terasoluna-unit-2.0.0.0-sources.jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-unit-2.1.0.jar -DgroupId=jp.terasoluna.fw.lib -DartifactId=terasoluna-unit -Dversion=2.1.0 -Dpackaging=jar -Dsource=terasoluna-unit-2.1.0-sources.jar -Djavadoc=terasoluna-unit-2.1.0-javadoc.jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-utlib-1.3.0.jar -DgroupId=jp.terasoluna.utlib -DartifactId=terasoluna-utlib -Dversion=1.3.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=terasoluna-utlib-spring-1.1.0.jar -DgroupId=jp.terasoluna.utlib -DartifactId=terasoluna-utlib-spring -Dversion=1.1.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true
call mvn install:install-file -Dfile=ojdbc5.jar -DgroupId=com.oracle -DartifactId=ojdbc5 -Dversion=11.1.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true

rem 親POMのインストール
cd /d %~dp0\terasoluna-fw
call mvn install -N

rem TERASOLUNA本体が依存するTERASOLUNA FW個別インストール
cd /d %~dp0\terasoluna-lib\lib
call mvn install:install-file -Dfile=struts-1.2.9-sp2.jar;
cd /d %~dp0\terasoluna-lib\dist
### terasoluna-batch-fw pom.xmlが必要 ###
call mvn install:install-file -Dfile=terasoluna-commons-3.3.1.jar -DcreateChecksum=true -DpomFile=../../terasoluna-commons/pom.xml
call mvn install:install-file -Dfile=terasoluna-dao-3.3.1.jar -DcreateChecksum=true -DpomFile=../../terasoluna-dao/pom.xml
call mvn install:install-file -Dfile=terasoluna-ibatis-3.3.1.jar -DcreateChecksum=true -DpomFile=../../terasoluna-ibatis/pom.xml

pause